services:
  advert_image.exist_filter:
    parent: 'api_platform.doctrine.orm.exists_filter'
    arguments: [ { activityAreas: ~ } ]
    tags:  [ 'api_platform.filter' ]

  advert_image.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, createdAt: ~, image.name: ~, updatedAt: ~, activityArea.name: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  advert_image.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'image.name',
        'activityAreas.name',
      ]
    tags: [ 'api_platform.filter' ]

  advert_image.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', activityAreas: 'exact' } ]
    tags:  [ 'api_platform.filter' ]